<style>
	.margtop5 {
    margin-top: 142px!important;
}
.usermenu li{
	padding: initial!important;
}

.gridcss{
	font-size: 13px;
}

.table td, .table th {
    padding: 13px !important;
    vertical-align: top !important;
    border-top: 1px solid #e9ecef !important;
}
#myTab{
	background-color: #2195c3 !important;

}
.nav-tabs > li > a {
	color: white!important;
	background-color: #2195c3 !important;
}
.nav-tabs > li.active > a, .nav-tabs > li.active > a:focus, .nav-tabs > li.active > a:hover {
color: #2195c3 !important;
background-color: white!important;
border: #d9171880 !important;
}
h4{
    font-size: 18px !important;
}
body{
    font-size: 14px !important;
}
.form-control{
    font-size: 14px !important;
	padding: 6px 3px !important;
}
.input-group-append {
    display: none !important;
}
b {
    font-weight: 700;
}
.table td{
	font-size: 14px !important;
}
/* .tab-card-header > .nav-tabs > li > a {
  border: 0;
  color: hsla(0,0%,100%,.6);

}

.tab-card-header > .nav-tabs > li > a.show {
    border-bottom:2px solid #007bff;
    color: #007bff;
}
.tab-card-header > .nav-tabs > li > a:hover {
    color: white;
}
.nav>li>a:focus, .nav>li>a:hover {
    text-decoration: none;
    background-color: #2195c3 !important;
}

.tab-card-header > .tab-content {
  padding-bottom: 0;
}
.nav-tabs > li > a {
	color: white!important;
}


.nav-tabs > li.active > a, .nav-tabs > li.active > a:focus, .nav-tabs > li.active > a:hover {
    opacity: 1 !important;
	background-color: #ffffff !important;
   color:#2095c2 !important;
    border: #d9171880 !important;
 
} */
</style>

<link rel="stylesheet" href="css/pagesCss/userView.css"></link>

<div class="container borderClass margtop5 " style="margin-top: 161px!important; line-height: 3;">
<div class="row">
	<!-- LEFT CONTENT-->
	<div class="col-xs-12 col-sm-3 col-md-3 col-lg-3 panel-body">
		<div class="col-xs-12 col-sm-3 col-md-12 col-lg-12 panel-body">
            <div class="row">
                <div id="Bookings" class="col-xs-12 col-sm-12 col-md-12 col-lg-12 tripsTab padding10">
                    <span class="fa fa-book fa-lg pad5 red"></span><a ui-sref="user" class="titleName dark "><b>Bookings</b></a>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 line2"></div>
                <div id="tabcss" tabindex="4"  style="background-color: #398bb4;" class="col-xs-12 col-sm-12 col-md-12 col-lg-12 tripsTab padding10">
					<span class="fa fa-book fa-lg pad5 red"></span><a style="color: white;" ui-sref="transaction" class="titleName dark "><b>My Transactions</b></a>
				</div>
				<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 line2"></div>
                <div id="Travellers" class="col-xs-12 col-sm-12 col-md-12 col-lg-12 travellersTab padding10">
                    <span class="fa fa-users fa-lg pad5 red"></span><a href="#!/traveller" class="titleName dark"><b>Travellers</b></a>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 line2"></div>
                <div id="reset"  class="col-xs-12 col-sm-12 col-md-12 col-lg-12 profileTab padding10">

                    <span class="fa fa-user fa-lg pad5 red"></span><a href="#!/profile" class="titleName dark"><b>Profile</b></a>
                </div>
                <!-- <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 line2"></div> -->
                <!-- <div id="signOut" class="col-xs-12 col-sm-12 col-md-12 col-lg-12 profileTab padding10 mousePointer">
							<span class="fa fa-lock fa-lg pad5 red"></span><a ng-click="changePwd('md');" class="titleName dark"><b>Change Password</b></a>
						</div> -->
                <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 line2"></div>
                <div id="Reports" class="col-xs-12 col-sm-12 col-md-12 col-lg-12 profileTab padding10" ng-show="roleId == '463'||roleId == '694' || roleId == '705'">
                    <span class="fa fa-list fa-lg pad5 red"></span><a ui-sref="report" class="titleName dark"><b>All Booking</b></a>
                </div>
               
            </div>
            <div class="clearfix"></div>
        </div>
			<div class="clearfix"></div>
	</div> <!-- end -->
	<div class="artloader" ng-show="artloading">
		<div class="cssload-container" >
			<div class="cssload-tube-tunnel">
		 <img src="assets/loadingart.gif" alt="loader" class="loaderimg" /></div>
		</div>
		</div>
	<!-- Right CONTENT-->
	<div class="col-xs-12 col-sm-9 col-md-9 col-lg-9 borderOverRide">
		<div class="row" id="recentBookingModule" ng-show="!noRecords">
			<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 mt9">
			
				<div class="row">
						<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
							<h3 class="md0 size20 mt10 dark"><b>Search</b></h3>
						</div>
					</div>
					<form class="bookingForm">
					<div class="row" >
						<div class="col-xs-12 col-sm-12 col-md-12 col-lg-6 col-xl-3">
							<div class="form-group p-3">
								<label class="">Product Type</label>
								<div class="input-group">
					
									<div class="input-group-append">
										
										</div>
										<select class="form-control" ng-model="bookingRQs.productType" id="productType" name="productType" style="background-color:white;"placeholder="Product Type"   autocomplete="off">
                                            <option value="">Select</option>
                                            <option value="F">Flight</option>
                                            <option value="H">Hotel</option>
                                            <option value="I">Insurance</option>
                                          </select>
									
									</div> 
						</div>
					</div>
						<div class="col-xs-12 col-sm-12 col-md-12 col-lg-6 col-xl-3">
							<div class="form-group p-3">
								<label class="">Booking Date From.</label>
								<div class="input-group">
					
									<div class="input-group-append">
										<span class="input-group-text" id="basic-addon1"><i class="icon-calendar"></i></span>
										</div>
										 
										<input  type="date" class="form-control" ng-model="bookingRQs.fromBookingDate" onblur="bkgfrmDate();" id="bookingDateFrom" name="bookingDateFrom" style="background-color:white;"placeholder="DD-MM-YYYY"   autocomplete="off"/>
									</div> 
						</div>
					</div>
						<div class="col-xs-12 col-sm-12 col-md-12 col-lg-6 col-xl-3">
							<div class="form-group p-3">
								<label class=""> Booking Date To.</label>
								<div class="input-group">
					
									<div class="input-group-append">
										<span class="input-group-text" id="basic-addon1"><i class="icon-calendar"></i></span>
										</div>
										 
										<input  type="date" class="form-control" ng-model="bookingRQs.toBookingDate" id="bookingDateTo" name="bookingDateTo" style="background-color:white;"placeholder="DD-MM-YYYY"   autocomplete="off"/>
									</div> 
						</div>
						</div>
						<!-- <div class="col-xs-12 col-sm-12 col-md-12 col-lg-6 col-xl-3">
							<div class="form-group p-3">
								<label class="">Journey Date From.</label>
								<div class="input-group">
					
									<div class="input-group-append">
										<span class="input-group-text" id="basic-addon1"><i class="icon-calendar"></i></span>
										</div>
										 
										<input  type="date" class="form-control" ng-model="bookingRQss.fromTravelDate" id="journeyDateFrom" name="journeyDateFrom" style="background-color:white;"placeholder="DD-MM-YYYY"   autocomplete="off"/>
									</div> 
						</div>
					</div> -->

					<!-- <div class="col-xs-12 col-sm-12 col-md-12 col-lg-6 col-xl-3">
						<div class="form-group p-3">
							<label class="">Journey Date To.</label>
							<div class="input-group">
				
								<div class="input-group-append">
									<span class="input-group-text" id="basic-addon1"><i class="icon-calendar"></i></span>
									</div>
									 
									<input  type="date" class="form-control" id="journeyDateTo" ng-model="bookingRQs.toTravelDate" name="journeyDateTo" style="background-color:white;"placeholder="DD-MM-YYYY"   autocomplete="off"/>
								</div> 
					</div>
					</div> -->
					
					</div>
				
					<div class="d-flex flex-row justify-content-center">
									<button  ng-click="retriveBookingDataClear()" type="button"  class="btn btn-lg custom-search-btn mr-2">
										Clear
									</button>	 
									 
									<button ng-click="retriveBookingData()" type="button"  class="btn btn-lg custom-search-btn">
										Search
									</button>
					</div>

				
			</form>
				
									
									<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 margtop40 text-center" >
										<div class="row" id="recentBookingModule">
											<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 mt9">
												<form class=" ">
													<!-- <div class="row">
														<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
															<h3 class="headerOride size20 mt10">Booking Details</h3>
														</div>
													</div> -->
													<!-- <div class="" style="    margin-bottom: 10px;
													margin-top: 10px;
													height: 40px;">
														<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 search-criteria">
															<ul id="myTab" class="nav nav-tabs usermenu">
																<li class="{{fCheck==true?'active':''}} col-lg-2"><a ng-click="checkFlight('FLT')" style="cursor:pointer;font-size:14px !important"><i class="fa fa-plane"></i>&nbsp;<span class="hidetext">Flights</span>&nbsp;</a></li>
																<li class="{{hCheck==true?'active':''}} col-lg-2"><a ng-click="checkHotel('tab','HTL')" style="cursor:pointer;font-size:14px !important"><i class="fa fa-group"></i>&nbsp;<span class="hidetext">Hotels</span>&nbsp;</a></li>
																<li class="{{insCheck==true?'active':''}} col-lg-2"><a ng-click="checkInsurance('tab','INS')" style="cursor:pointer;font-size:14px !important"><i class="fa fa-bed"></i>&nbsp;<span class="hidetext">Insurance</span>&nbsp;</a></li>

															
																
															</ul>
														</div>
													</div>  -->
													<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 search-criteria" ng-if="dataSourcedata.length>0">
														<div class="table-responsive">
															<table class="table table-border table-hover">
																<thead class="thead">
																	<!-- <th>Service</th> -->
																	
																	<th class="gridcss">ART Ref No </th>
																	<th class="gridcss">Supplier Ref No</th>
																	<th class="gridcss">Payment Ref No</th>
																	<th class="gridcss">Transaction Date</th>
																	<th class="gridcss">Product Type </th>
																	<th class="gridcss">Total Fare </th>
																	<th class="gridcss">Paid Amount</th>
																	<th class="gridcss">Booking Status </th>
																	<th class="gridcss">Payment status</th>
																	
																	
																	</thead>
																	<tbody dir-paginate="bookingData in dataSourcedata | itemsPerPage:5">
																	
																	<td>{{bookingData.docketNo}}</td>
																	<td>{{bookingData.bookingReferenceNo}}</td>
																	<td>
																		{{bookingData.paymentReferenceNo}}
																		</td>
																	<td>{{bookingData.transactionDate | date:'dd/MM/yyyy HH:mm'}}</td>
																	<td ng-If="bookingData.productType == 'F'">Flight</td>
																	<td ng-If="bookingData.productType == 'H'">Hotel</td>
																	<td ng-If="bookingData.productType == 'I'">Insurance</td>
																	<td ng-If="bookingData.productType == 'F_I'">Flight, Insurance</td>
																	<td>{{bookingData.totalFare}}</td>
																	<td>{{bookingData.paidAmount}}</td>
																	<td>{{bookingData.bookingStatus}}</td>
																	<td>{{bookingData.paymentStatus}}</td>
																	
																		</tbody>
																</table> 
																<dir-pagination-controls max-size="5" direction-links="true"
																		boundary-links="true" class="fr"></dir-pagination-controls>
																		</div>	

													</div>
													
													<div ng-if="dataSourcedata.length==0">
														<p class="dark" ><b>Data Not Found</b></p>
													</div>
											
												</form>
											</div>
										</div>

						</div>
				</form>
			</div>
			</div>
			<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 margtop40 text-center" ng-show="noRecords">
				<h5 style="    font-size: 20px;
				color: red;">  Looks like you haven't started booking with us. Start Booking Now! </h5>
				<a ui-sref="home" class="dark"><b>Go To Booking</b></a>
			</div>
	</div> <!-- end right -->
	</div>
</div>

<script>
	function bkgfrmDate(){
		var bjgfrmdatee = document.getElementById("bookingDateFrom");
		var bkgtoDate = document.getElementById("bookingDateTo");
    	bkgtoDate.setAttribute("min", bjgfrmdatee.value);
	}
</script>